Confluence wiki platform upgraded to v7.3

New features and enhanced security

The Confluence server at collaborate.hms.harvard.edu has been upgraded from Confluence v.5.8 to v.7.3. The upgrade has allowed us to remove the VPN connection requirement, so you can now access it without logging in to VPN first, and your public pages will be viewable by the public again.

For more detailed information, see our knowledgebase article:

This upgrade was performed on short notice in response to security concerns. We have tested the new version as thoroughly as possible given the compressed timeline for the upgrade. Let us know if you have any questions or issues with the Confluence following this upgrade. Thank you for your patience!

IT Department